package com.wms_main.service.controller;

import com.wms_main.model.dto.request.mywms.OrderInCancel;
import com.wms_main.model.dto.request.mywms.OrderInReq;
import com.wms_main.model.dto.request.mywms.OrderOutReq;
import com.wms_main.model.dto.request.mywms.StockReq;
import com.wms_main.model.dto.request.mywms.StockRespGoodsDetail;
import com.wms_main.model.dto.response.mywms.MyWmsResponse;
import com.wms_main.model.dto.response.mywms.OrderResponse;

import java.util.List;

public interface IMyWmsControllerService {
    OrderResponse orderIn(OrderInReq request);

    OrderResponse orderOut(OrderOutReq request);

    MyWmsResponse<List<StockRespGoodsDetail>> stock(StockReq request);

    MyWmsResponse<Boolean> queryCanFeed();

    MyWmsResponse<Boolean> queryCanOut();
    
    String cancelOrderIn(OrderInCancel request);
}
